SGE_QMASTER(8)

NAME
sge_qmaster - Sun Grid Engine master control daemon

SYNOPSIS
sge_qmaster [ -help ]

DESCRIPTION
sge_qmaster controls the overall Sun Grid Engine behavior in a cluster.

OPTIONS

-help
    Prints a listing of all options.

ENVIRONMENTAL VARIABLES

SGE_ROOT
    Specifies the location of the Sun Grid Engine standard configuration files.

SGE_CELL
    If set, specifies the default Sun Grid Engine cell. To address a Sun Grid Engine cell sge_qmaster uses (in the order of precedence):

        The name of the cell specified in the environment variable SGE_CELL, if it is set.

        The name of the default cell, i.e. default.

SGE_DEBUG_LEVEL
    If set, specifies that debug information should be written to stderr. In addition the level of detail in which debug information is generated is defined.

SGE_QMASTER_PORT
    If set, specifies the tcp port on which is expected to listen for communication requests. Most installations will use a services map entry for the service "sge_qmaster" instead to define that port.

SGE_EXECD_PORT
    If set, specifies the tcp port on which is expected to listen for communication requests. Most installations will use a services map entry for the service "sge_execd" instead to define that port.

RESTRICTIONS
sge_qmaster is usually started from root on the master or shadow master machines of the cluster (refer to the Sun Grid Engine Installation and Administration Guide for more information about the configuration of shadow master hosts). If started by a normal user, a master spool directory must be used to which the user has read/write access. In this case only jobs being submitted by that same user are handled correctly by the system.

FILES
<sge_root>/<cell>/common/configuration
	Sun Grid Engine global configuration
<sge_root>/<cell>/common/local_conf/<host>
	Sun Grid Engine host specific configuration
<sge_root>/<cell>/common/qmaster_args
	sge_qmaster argument file
<sge_root>/<cell>/spool
	Default master spool directory

SEE ALSO
Sun Grid Engine Installation and Administration Guide

COPYRIGHT
See for a full statement of rights and permissions.